/*
 * Sonatype Nexus (TM) Open Source Version
 * Copyright (c) 2007-2012 Sonatype, Inc.
 * All rights reserved. Includes the third-party code listed at http://links.sonatype.com/products/nexus/oss/attributions.
 *
 * This program and the accompanying materials are made available under the terms of the Eclipse Public License Version 1.0,
 * which accompanies this distribution and is available at http://www.eclipse.org/legal/epl-v10.html.
 *
 * Sonatype Nexus (TM) Professional Version is available from Sonatype, Inc. "Sonatype" and "Sonatype Nexus" are trademarks
 * of Sonatype, Inc. Apache Maven is a trademark of the Apache Software Foundation. M2eclipse is a trademark of the
 * Eclipse Foundation. All other trademarks are the property of their respective owners.
 */
package org.sonatype.nexus.proxy.attributes;

import java.io.IOException;

/**
 * Exception thrown when {@link Marshaller} does not hit "plain" IOException, is able to read the content but it detects
 * the content as corrupt, unreadable or in any other way unexpectedly formatted and unprocessable.
 * 
 * @author cstamas
 * @since 2.0
 */
public class InvalidInputException
    extends IOException
{
    private static final long serialVersionUID = -1729104533714236869L;

    public InvalidInputException( String message )
    {
        super( message );
    }

    public InvalidInputException( String message, Throwable cause )
    {
        super( message, cause );
    }
}
